Bug 607183 - Sox segfaults trying to apply some filter on an flac file
Sox segfaults trying to apply some filter on an flac file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sox (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 09:16 EDT by Jean-François Rameau
Modified: 2015-02-01 17:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-François Rameau 2010-06-23 09:16:50 EDT
Description of problem:
Segmentation fault

Version-Release number of selected component (if applicable):
SoX v14.3.0

How reproducible:
Not every time curiously but too many for sure.

Steps to Reproduce:
1.Take a flac audio file
2.Apply this command : file.flac extract.flac trim 30 30 fade q 3 30
3.
  
Actual results:


Expected results:


Additional info:
From gdb :

Program received signal SIGSEGV, Segmentation fault.
0x00ccdbc9 in read_samples (ft=<value optimized out>, 
    sampleBuffer=<value optimized out>, requested=<value optimized out>)
    at flac.c:211
211	        FLAC__int32 d = p->decoded_wide_samples[channel][p->wide_sample_number];
(gdb) where
#0  0x00ccdbc9 in read_samples (ft=<value optimized out>, 
    sampleBuffer=<value optimized out>, requested=<value optimized out>)
    at flac.c:211
#1  0x00bb48ff in sox_read (ft=<value optimized out>, 
    buf=<value optimized out>, len=8192) at formats.c:891
#2  0x0804b5ef in sox_read_wide (ft=0x8059358, buf=0x8065560, 
    max=<value optimized out>) at sox.c:450
#3  0x0804e5e1 in combiner_drain (effp=<value optimized out>, 
    obuf=<value optimized out>, osamp=<value optimized out>) at sox.c:511
#4  0x00bc6706 in drain_effect (chain=<value optimized out>, 
    callback=<value optimized out>, client_data=<value optimized out>)
    at effects.c:287
#5  sox_flow_effects (chain=<value optimized out>, 
    callback=<value optimized out>, client_data=<value optimized out>)
    at effects.c:347
#6  0x0804fa3d in process () at sox.c:1645
#7  0x08050b85 in main (argc=<value optimized out>, argv=<value optimized out>)
    at sox.c:2807
Comment 1 Jean-François Rameau 2010-06-23 09:17:25 EDT
Downgrading to F12 version (v14.2.0) : works fine.
Comment 2 Bug Zapper 2011-06-01 11:48:02 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 14:48:34 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Ulrich Klauer 2013-02-17 05:38:42 EST
For the record, this bug (crash when seeking in a FLAC file) has been fixed in SoX 14.4.1.

Note You need to log in before you can comment on or make changes to this bug.